> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List accessible Confluence spaces

> Authenticate with Confluence credentials and return accessible spaces.

Used by the UI so users can select which spaces to sync.



## OpenAPI

````yaml /api-reference/catalog-api.json post /connectors/confluence/spaces
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/confluence/spaces:
    post:
      tags:
        - connectors
      summary: List accessible Confluence spaces
      description: |-
        Authenticate with Confluence credentials and return accessible spaces.

        Used by the UI so users can select which spaces to sync.
      operationId: list_confluence_spaces_connectors_confluence_spaces_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfluenceSpacesRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfluenceSpacesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConfluenceSpacesRequest:
      properties:
        domain:
          type: string
          title: Domain
        email:
          type: string
          title: Email
        api_token:
          type: string
          title: Api Token
      type: object
      required:
        - domain
        - email
        - api_token
      title: ConfluenceSpacesRequest
    ConfluenceSpacesResponse:
      properties:
        spaces:
          items:
            $ref: '#/components/schemas/ConfluenceSpace'
          type: array
          title: Spaces
      type: object
      required:
        - spaces
      title: ConfluenceSpacesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConfluenceSpace:
      properties:
        key:
          type: string
          title: Key
        name:
          type: string
          title: Name
      type: object
      required:
        - key
        - name
      title: ConfluenceSpace
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````